If you get this error when running update then the problem is that you’ve installed minimal with some packages missing. To solve the issue  deltarpm.

 

[@localhost ~]# yum update
Loaded plugins: fastestmirror
epel/x86_64/metalink | 5.1 kB 00:00:00
epel | 4.3 kB 00:00:00
(1/3): epel/x86_64/group_gz | 170 kB 00:00:00
(2/3): epel/x86_64/updateinfo | 827 kB 00:00:00
(3/3): epel/x86_64/primary_db | 4.8 MB 00:00:01
Loading mirror speeds from cached hostfile
* base: mirror.ehost.vn
* epel: mirrors.digipower.vn
* extras: mirror.ehost.vn
* updates: mirror.ehost.vn
Resolving Dependencies
–> Running transaction check
—> Package epel-release.noarch 0:7-9 will be updated
—> Package epel-release.noarch 0:7-10 will be an update
–> Finished Dependency Resolution

Dependencies Resolved

========================================================================================================================================================================
Package Arch Version Repository Size
========================================================================================================================================================================
Updating:
epel-release noarch 7-10 epel 14 k

Transaction Summary
========================================================================================================================================================================
Upgrade 1 Package

Total size: 14 k
Is this ok [y/d/N]: y
Downloading packages:
Delta RPMs disabled because /usr/bin/applydeltarpm not installed.
warning: /var//yum/x86_64/7/epel/packages/epel-release-7-10.noarch.: Header V3 RSA/SHA256 Signature, key ID : NOKEY ] 0.0 B/s | 0 B –:–:– ETA
Public key for epel-release-7-10.noarch.rpm is not installed
epel-release-7-10.noarch.rpm | 14 kB 00:00:06
Retrieving key from file:///etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL-7
Importing GPG key :
Userid : “Fedora EPEL (7) <[email protected]>”
Fingerprint:
Package : epel-release-7-9.noarch (@extras)
From : /etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL-7
Is this ok [y/N]: y
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
Updating : epel-release-7-10.noarch 1/2
Cleanup : epel-release-7-9.noarch 2/2
Verifying : epel-release-7-10.noarch 1/2
Verifying : epel-release-7-9.noarch 2/2

Updated:
epel-release.noarch 0:7-10

Complete!

 

To see the package name run

yum provides '*/applydeltarpm'

Centos 7 with minimal installation does not include deltarpm. To fix error message “Delta RPMs disabled because /usr/bin/applydeltarpm not installed.” during yum update, install it manually.

# yum install -y deltarpm

Print Friendly, PDF & Email

Comments

comments

Bài viết liên quan